=== debian/changelog ===
qlandkartegt (1.2.3-1build1) precise; urgency=low

  * Rebuild with libgps20. 

 -- James Page <james.page@ubuntu.com>  Tue, 13 Dec 2011 15:10:44 +0000

qlandkartegt (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Sat, 03 Sep 2011 20:09:07 +0200
