=== debian/watch ===
version=3
http://sf.net/qlandkartegt/qlandkartegt-(\d)\.([\d\.]*)\.tar\.gz
