## qlandkartegt 1.5.0~dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "2")
-set(APPLICATION_VERSION_PATCH "3")
+set(APPLICATION_VERSION_MINOR "5")
+set(APPLICATION_VERSION_PATCH "0")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
 
@@ -43,7 +43,6 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 include(DefineInstallationPaths)
-include(DefineOptions.cmake)
 include(CPackConfig.cmake)
 
 # config.h generation
@@ -68,6 +67,9 @@
 add_subdirectory(3rdparty/QTextHtmlExporter)
 add_subdirectory(3rdparty/getopt)
 add_subdirectory(3rdparty/map2gcm)
+add_subdirectory(3rdparty/map2rmap)
+add_subdirectory(3rdparty/cache2gtiff)
+add_subdirectory(3rdparty/qtsoap)
 add_subdirectory(src)
 
 if (UNIX AND NOT WIN32 AND NOT APPLE)
