=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,6 +81,7 @@
     WptIcons.cpp
     CResources.cpp
     CCopyright.cpp
+    CApplication.cpp
     CMainWindow.cpp
     CCanvas.cpp
     CCanvasUndoCommandZoom.cpp
@@ -100,10 +101,9 @@
     CMouseAddDistance.cpp
     CMouseOverlay.cpp
     CMouseColorPicker.cpp
+    CMouseSelWpt.cpp
     IMap.cpp
     CMapNoMap.cpp
-    CMapOSM.cpp
-    CMapOSMType.cpp
     CMapDEM.cpp
     CMapFile.cpp
     CMapLevel.cpp
@@ -111,6 +111,9 @@
     CMapQMAPExport.cpp
     CMapRaster.cpp
     CMapGeoTiff.cpp
+    CMapWms.cpp
+    CMapTms.cpp
+    CMapJnx.cpp
     IMapSelection.cpp
     CMapSelectionRaster.cpp
     CMapSelectionGarmin.cpp
@@ -133,27 +136,34 @@
     CDlgCombineDistOvl.cpp
     CDlgProjWizzard.cpp
     CDlgEditText.cpp
-    CDlgCreateWorldBasemap.cpp
     CDlgDelWpt.cpp
     CDlgConvertToTrack.cpp
     CDlgEditRoute.cpp
+    CDlgLoadOnlineMap.cpp
     CDlgMapTDBConfig.cpp
     CDlgMapQMAPConfig.cpp
     CDlgMapJNXConfig.cpp
-    CDlgMapOSMConfig.cpp
+    CDlgMapTmsConfig.cpp
+    CDlgMapWmsConfig.cpp
+    CDlgNoMapConfig.cpp
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
     CDlgConfig3D.cpp
     CDlgExport.cpp
     CDlgWpt2Rte.cpp
+    CDlgSetupGrid.cpp
+    CDlgCropMap.cpp
+    CDlgParentWpt.cpp
+    CDlgDeviceExportPath.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
     CDeviceQLandkarteM.cpp
     CDeviceGarmin.cpp
+    CDeviceGarminBulk.cpp
     CDeviceNMEA.cpp
-    CCreateMapOSM.cpp
+    CDeviceTwoNav.cpp
     CCreateMapQMAP.cpp
     CCreateMapGeoTiff.cpp
     CCreateMapGridTool.cpp
@@ -177,6 +187,7 @@
     CTrackStatSpeedWidget.cpp
     CTrackStatTraineeWidget.cpp
     CTrackStatDistanceWidget.cpp
+    CTrackFilterWidget.cpp
     CRoute.cpp
     CRouteDB.cpp
     CRouteToolWidget.cpp
@@ -192,7 +203,6 @@
     CLiveLog.cpp
     CLiveLogDB.cpp
     CLiveLogToolWidget.cpp
-    COsmTilesHash.cpp
     IOverlay.cpp
     COverlayDB.cpp
     COverlayToolWidget.cpp
@@ -220,6 +230,12 @@
     CHelpButton.cpp
     CSpline.cpp
     IItem.cpp
+    CImageSelect.cpp
+    CGridDB.cpp
+    IDiskCache.cpp
+    CDiskCache.cpp
+    CDiskCacheZip.cpp
+    CTextBrowser.cpp
 )
 
 if (WIN32)
@@ -237,6 +253,7 @@
     WptIcons.h
     CResources.h
     CCopyright.h
+    CApplication.h
     CMainWindow.h
     CCanvas.h
     CStatusDEM.h
@@ -255,10 +272,9 @@
     CMouseAddDistance.h
     CMouseOverlay.h
     CMouseColorPicker.h
+    CMouseSelWpt.h
     IMap.h
     CMapNoMap.h
-    CMapOSM.h
-    CMapOSMType.h
     CMapDEM.h
     CMapFile.h
     CMapLevel.h
@@ -266,6 +282,9 @@
     CMapQMAPExport.h
     CMapRaster.h
     CMapGeoTiff.h
+    CMapWms.h
+    CMapTms.h
+    CMapJnx.h
     IMapSelection.h
     CMapSelectionRaster.h
     CMapSelectionGarmin.h
@@ -282,6 +301,7 @@
     CSearchToolWidget.h
     CDlgConfig.h
     CDlgEditWpt.h
+    CDlgLoadOnlineMap.h
     CDlgWptIcon.h
     CDlgEditMapLevel.h
     CDlgCombineTracks.h
@@ -289,26 +309,32 @@
     CDlgProjWizzard.h
     CDlgEditText.h
     CDlgDelWpt.h
-    CDlgCreateWorldBasemap.h
     CDlgConvertToTrack.h
     CDlgEditRoute.h
     CDlgMapTDBConfig.h
     CDlgMapQMAPConfig.h
     CDlgMapJNXConfig.h
-    CDlgMapOSMConfig.h
+    CDlgMapTmsConfig.h
+    CDlgMapWmsConfig.h
+    CDlgNoMapConfig.h
     CDlgScreenshot.h
     CDlgTrackFilter.h
     CDlgSetupGarminIcons.h
     CDlgConfig3D.h
     CDlgExport.h
     CDlgWpt2Rte.h
+    CDlgSetupGrid.h
+    CDlgCropMap.h
+    CDlgParentWpt.h
+    CDlgDeviceExportPath.h
     CQlb.h
     CGpx.h
     IDevice.h
     CDeviceQLandkarteM.h
     CDeviceGarmin.h
+    CDeviceGarminBulk.h
     CDeviceNMEA.h
-    CCreateMapOSM.h
+    CDeviceTwoNav.h
     CCreateMapQMAP.h
     CCreateMapGeoTiff.h
     CCreateMapGridTool.h
@@ -329,6 +355,7 @@
     CTrackStatSpeedWidget.h
     CTrackStatTraineeWidget.h
     CTrackStatDistanceWidget.h
+    CTrackFilterWidget.h
     CRoute.h
     CRouteDB.h
     CRouteToolWidget.h
@@ -345,7 +372,6 @@
     CLiveLogDB.h
     CLiveLogToolWidget.h
     IOverlay.h
-    COsmTilesHash.h
     COverlayDB.h
     COverlayToolWidget.h
     COverlayText.h
@@ -374,7 +400,15 @@
     CHelpButton.h
     CSpline.h
     IItem.h
+    CImageSelect.h
+    CGridDB.h
+    IDiskCache.h
+    CDiskCache.h
+    CDiskCacheZip.h
+    CSettings.h
+    CTextBrowser.h
 )
+
 
 SET(qlandkarte_UIS
     ICopyright.ui
@@ -386,6 +420,7 @@
     ITrackToolWidget.ui
     ITrackEditWidget.ui
     ITrackStatWidget.ui
+    ITrackFilterWidget.ui
     ISearchToolWidget.ui
     IDlgConfig.ui
     IDlgEditWpt.ui
@@ -394,20 +429,25 @@
     IDlgCombineTracks.ui
     IDlgCombineDistOvl.ui
     IDlgDelWpt.ui
-    IDlgCreateWorldBasemap.ui
     IDlgConvertToTrack.ui
     IDlgEditRoute.ui
+    IDlgLoadOnlineMap.ui
     IDlgMapTDBConfig.ui
     IDlgMapQMAPConfig.ui
     IDlgMapJNXConfig.ui
-    IDlgMapOSMConfig.ui
+    IDlgMapTmsConfig.ui
+    IDlgMapWmsConfig.ui
+    IDlgNoMapConfig.ui
     IDlgScreenshot.ui
     IDlgTrackFilter.ui
     IDlgSetupGarminIcons.ui
     IDlgConfig3D.ui
     IDlgExport.ui
     IDlgWpt2Rte.ui
-    ICreateMapOSM.ui
+    IDlgSetupGrid.ui
+    IDlgCropMap.ui
+    IDlgParentWpt.ui
+    IDlgDeviceExportPath.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui
@@ -422,6 +462,8 @@
     IGarminExport.ui
     IHelpDlg.ui
     IDiaryEdit.ui
+    IImageSelect.ui
+
 )
 
 SET(qlandkarte_RCS
@@ -438,8 +480,8 @@
 else (NOT WIN32)
 SET (DBUS OFF CACHE BOOL "Enable DBus control.")
 endif (NOT WIN32)
-SET (JNX ON CACHE BOOL "Enable Garmin JNX Support.")
 SET (ALTKEY_MOVES_MAP OFF CACHE BOOL "Move map while pressing ALT key and mousemove.")
+SET (RMAP ON CACHE BOOL "Enable TwoNav RMAP Support")
 
 SET (QL_OPENGL_INCLUDE_DIR "")
 SET (QL_OPENGL_LIBRARIES "")
@@ -477,29 +519,3 @@
     add_definitions(-DHAS_EXIF)
 else(EXIF_FOUND)
     set(EXIF_INCLUDE_DIRS "")
-    set(EXIF_LIBRARIES "")
-ENDIF(EXIF_FOUND)
-
-IF(DMTX_FOUND)
-    add_definitions(-DHAS_DMTX)
-else(EXIF_FOUND)
-    set(DMTX_INCLUDE_DIRS "")
-    set(DMTX_LIBRARIES "")
-ENDIF(DMTX_FOUND)
-
-IF(GEO_DB)
-    add_definitions(-DHAS_GEODB -DDB_VERSION=8)
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CGeoDB.h CDlgSelGeoDBFolder.h CDlgEditFolder.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CGeoDB.cpp CDlgSelGeoDBFolder.cpp CDlgEditFolder.cpp)
-    SET(qlandkarte_UIS ${qlandkarte_UIS} IGeoToolWidget.ui IDlgSelGeoDBFolder.ui IDlgEditFolder.ui)
-ENDIF(GEO_DB)
-
-IF(DBUS)
-    add_definitions(-DHAS_DBUS)
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CDBus.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CDBus.cpp)
-    SET(qlandkarte_UIS ${qlandkarte_UIS})
-ENDIF(DBUS)
-
-IF(JNX)
-    add_definitions(-DHAS_JNX)
