=== debian/changelog ===
qlandkartegt (1.5.0~dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Tune debhelper version to fix FTBS.
  * Switch compat to 9.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 26 Jun 2012 21:32:00 +0200

qlandkartegt (1.4.2~dfsg0-1) unstable; urgency=low

  * New upstream release

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 25 May 2012 14:34:52 +0200

qlandkartegt (1.4.1~dfsg0-1) unstable; urgency=low

  * New upstream release

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 May 2012 12:42:25 +0200

qlandkartegt (1.4.0~dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release (Closes: #662952, #663472, #654517, #640179).
  * Bumped Standards-version to 3.9.3, no changes necessary.
  * Add myself as uploader (Closes: #654748).
  * Copyright updated to format 1.0.
  * Added gbp.conf file.
  * Patch added to fix some spelling errors.
  * Fixed watch file to mangle dfsg version.

  [ Michael Hanke ]
  * Remove transitional qlandkarte package for wheezy.
  * Make Jaromir the primary maintainer, move myself into uploaders,
    and remove Yaroslav Halchenko as uploader (with approval).

 -- Michael Hanke <mih@debian.org>  Sun, 01 Apr 2012 09:49:26 +0200
