=== debian/control ===
Source: qlandkartegt
Section: x11
Priority: optional
Maintainer: Jaromír Mikeš <mira.mikes@seznam.cz>
Uploaders: Michael Hanke <mih@debian.org>
Build-Depends:
 cmake (>= 2.4),
 debhelper (>= 9.20120417~),
 gpsbabel,
 imagemagick,
 libdmtx-dev,
 libexif-dev,
 libgdal1-dev (>= 1.5.2-3) | libgdal-dev,
 libgps-dev,
 libproj-dev | proj,
 libqt4-dev (>= 4.2),
 libqt4-opengl-dev,
 libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
Vcs-Git: git://git.debian.org/git/collab-maint/qlandkartegt.git

Package: qlandkartegt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 qlandkarte
Provides:
 qlandkarte
Recommends:
 gdal-bin,
 gpsbabel,
 qlandkartegt-garmin (>= 0.3.4~)
Suggests:
 gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format. QLandkarteGT is the successor of
 QLandkarte. Among various improvements (e.g. 2D/3D map rendering and
 reduced resource demands) the major difference is its
 device-independent architecture, which is not limited to Garmin devices
 anymore. Therefore, the package also does not include device drivers.
 Drivers for a number of Garmin devices are available from the
 qlandkartegt-garmin package.
 .
 Additionally, QLandkarteGT serves as a frontend to the GDAL tools, to
 make georeferencing of scanned maps feasible for users. In contrast to
 similar tools (e.g. QGis) its straightforward interface is especially
 suited for non-scientific users.
