=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,13 @@
 else(GPSBABEL)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"gpsbabel\\\"")
 endif(GPSBABEL)
+
+if(WITH_PROFILING)
+    set(PROFILING_LIBRARIES "conan")
+else(WITH_PROFILING)
+    set(PROFILING_LIBRARIES "")
+endif(WITH_PROFILING)
+
 
 if (NOT WIN32)
   find_program(MAP2JNX map2jnx DOC "full path of the map2jnx application")
@@ -145,7 +152,8 @@
     CDlgMapJNXConfig.cpp
     CDlgMapTmsConfig.cpp
     CDlgMapWmsConfig.cpp
-    CDlgNoMapConfig.cpp
+    CDlgMapRMPConfig.cpp
+    CDlgNoMapConfig.cpp    
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
@@ -156,10 +164,12 @@
     CDlgCropMap.cpp
     CDlgParentWpt.cpp
     CDlgDeviceExportPath.cpp
+    CDlgProxy.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
     CDeviceQLandkarteM.cpp
+    CDeviceMagellan.cpp
     CDeviceGarmin.cpp
     CDeviceGarminBulk.cpp
     CDeviceNMEA.cpp
@@ -236,6 +246,9 @@
     CDiskCache.cpp
     CDiskCacheZip.cpp
     CTextBrowser.cpp
+    CImageViewer.cpp
+    CMapRmp.cpp
+    CMapDEMSlopeSetup.cpp
 )
 
 if (WIN32)
@@ -316,6 +329,7 @@
     CDlgMapJNXConfig.h
     CDlgMapTmsConfig.h
     CDlgMapWmsConfig.h
+    CDlgMapRMPConfig.h
     CDlgNoMapConfig.h
     CDlgScreenshot.h
     CDlgTrackFilter.h
@@ -327,10 +341,12 @@
     CDlgCropMap.h
     CDlgParentWpt.h
     CDlgDeviceExportPath.h
+    CDlgProxy.h
     CQlb.h
     CGpx.h
     IDevice.h
     CDeviceQLandkarteM.h
+    CDeviceMagellan.h
     CDeviceGarmin.h
     CDeviceGarminBulk.h
     CDeviceNMEA.h
@@ -407,6 +423,9 @@
     CDiskCacheZip.h
     CSettings.h
     CTextBrowser.h
+    CImageViewer.h
+    CMapRmp.h
+    CMapDEMSlopeSetup.h
 )
 
 
@@ -437,6 +456,7 @@
     IDlgMapJNXConfig.ui
     IDlgMapTmsConfig.ui
     IDlgMapWmsConfig.ui
+    IDlgMapRMPConfig.ui
     IDlgNoMapConfig.ui
     IDlgScreenshot.ui
     IDlgTrackFilter.ui
@@ -448,6 +468,7 @@
     IDlgCropMap.ui
     IDlgParentWpt.ui
     IDlgDeviceExportPath.ui
+    IDlgProxy.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui
@@ -463,7 +484,8 @@
     IHelpDlg.ui
     IDiaryEdit.ui
     IImageSelect.ui
-
+    IImageViewer.ui
+    IMapDEMSlopeSetup.ui
 )
 
 SET(qlandkarte_RCS
@@ -502,20 +524,3 @@
 if(GPX_EXTENSIONS)
     add_definitions(-DGPX_EXTENSIONS)
     SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CTrackStatExtensionWidget.h CGpxExtension.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CTrackStatExtensionWidget.cpp CGpxExtension.cpp)
-    SET(qlandkarte_UIS ${qlandkarte_UIS} )
-endif(GPX_EXTENSIONS)
-
-if(GPSD_FOUND)
-    add_definitions(-DHAS_GPSD)
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CDeviceGPSD.h )
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CDeviceGPSD.cpp)
-else(GPSD_FOUND)
-    SET(GPSD_INCLUDE_DIRS "")
-    SET(GPSD_LIBRARIES "")
-endif(GPSD_FOUND)
-
-IF(EXIF_FOUND)
-    add_definitions(-DHAS_EXIF)
-else(EXIF_FOUND)
-    set(EXIF_INCLUDE_DIRS "")
