=== debian/changelog ===
qlandkartegt (1.7.0~dfsg0-2) unstable; urgency=low

  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 08 May 2013 13:11:54 +0200

qlandkartegt (1.7.0~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 25 Mar 2013 03:14:50 +0100

qlandkartegt (1.6.0~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 15 Dec 2012 14:13:19 +0100

qlandkartegt (1.5.3~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 29 Oct 2012 01:09:27 +0100

qlandkartegt (1.5.1~dfsg0-2) experimental; urgency=low

  * Added patch to disable updates check (Closes: #687030)
   - thanks to Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Sep 2012 09:27:14 +0200

qlandkartegt (1.5.1~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Aug 2012 02:14:35 +0200
