=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libqt4-dev (>= 4.2),
  libqt4-opengl-dev,
  libqtwebkit-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.qlandkarte.org
 XS-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
