=== src/CMakeLists.txt ===
--- 
+++ 
@@ -153,7 +153,7 @@
     CDlgMapTmsConfig.cpp
     CDlgMapWmsConfig.cpp
     CDlgMapRMPConfig.cpp
-    CDlgNoMapConfig.cpp    
+    CDlgNoMapConfig.cpp
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
@@ -165,6 +165,7 @@
     CDlgParentWpt.cpp
     CDlgDeviceExportPath.cpp
     CDlgProxy.cpp
+    CDlgMultiColorConfig.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
@@ -184,7 +185,6 @@
     CMapEditWidget.cpp
     CUndoStackModel.cpp
     CUndoStackView.cpp
-    CTrackUndoCommandDelete.cpp
     CTrackUndoCommandDeletePts.cpp
     CTrackUndoCommandPurgePts.cpp
     CTrackUndoCommandSelect.cpp
@@ -342,6 +342,7 @@
     CDlgParentWpt.h
     CDlgDeviceExportPath.h
     CDlgProxy.h
+    CDlgMultiColorConfig.h
     CQlb.h
     CGpx.h
     IDevice.h
@@ -360,7 +361,6 @@
     CMapEditWidget.h
     CUndoStackModel.h
     CUndoStackView.h
-    CTrackUndoCommandDelete.h
     CTrackUndoCommandSelect.h
     CTrack.h
     CTrackDB.h
@@ -426,6 +426,8 @@
     CImageViewer.h
     CMapRmp.h
     CMapDEMSlopeSetup.h
+    Dictionary.h
+    QFileExt.h
 )
 
 
@@ -469,6 +471,7 @@
     IDlgParentWpt.ui
     IDlgDeviceExportPath.ui
     IDlgProxy.ui
+    IDlgMultiColorConfig.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui
