=== 3rdparty/QTextHtmlExporter/CMakeLists.txt ===
project(QTextHtmlExporter)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)


set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

find_package(Qt4 REQUIRED)

include(${QT_USE_FILE})




set(SRCS
    QTextHtmlExporter.cpp
)

set(HDRS
    QTextHtmlExporter.h
)

set(UIS

)

set(RCS


)


qt4_wrap_cpp(MOC_SRCS ${HDRS})
qt4_wrap_ui(UI_HDRS ${UIS})
qt4_add_resources(RC_SRCS ${RCS})



include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_ZLIB_INCLUDE_DIR}
)

link_directories(
    ${CMAKE_BINARY_DIR}/lib
)

add_library(qtexthtmlexporter
  ${SRCS}
  ${HDRS}
  ${UI_HDRS}
  ${RC_SRCS}
  ${MOC_SRCS}
  ${QM_FILES}
)

if(WIN32)
target_link_libraries( qtexthtmlexporter
      ${QT_LIBRARIES}
)
else(WIN32)
target_link_libraries( qtexthtmlexporter
      ${QT_LIBRARIES}
)
endif(WIN32)
