=== debian/changelog ===
qlandkartegt (1.7.5-2) unstable; urgency=low

  * Added patch to fix downloading of OSM mapnik tiles (Closes: #736550)
   - thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 27 Jan 2014 23:08:41 +0100

qlandkartegt (1.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 02 Nov 2013 11:31:32 +0100

qlandkartegt (1.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Sep 2013 17:42:59 +0200

qlandkartegt (1.7.3-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Refreshed patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 09 Sep 2013 11:00:32 +0200

qlandkartegt (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * Removed DMUA.
  * Updated copyriright file.
  * Fix VCS canonical URLs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 Aug 2013 02:48:50 +0200
