=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
  libqt4-dev (>= 4.2),
  libqt4-opengl-dev,
  libqtwebkit-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.qlandkarte.org
-XS-DM-Upload-Allowed: yes
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
-Vcs-Git: git://git.debian.org/git/collab-maint/qlandkartegt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qlandkartegt.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/qlandkartegt.git
 
 Package: qlandkartegt
 Architecture: any
