=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://sf.net/qlandkartegt/qlandkartegt-(\d)\.([\d\.]*)\.tar\.gz
